## rock-master-19.06-gui-map2d 0.20130831

=== CMakeLists.txt ===
# CMakeLists.txt has to be located in the project folder and cmake has to be
# executed from 'project/build' with 'cmake ../'.
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
add_definitions(-DQT_NO_DEBUG_OUTPUT)

rock_init(map2d_widget 0.1)
rock_standard_layout()

=== src/CMakeLists.txt ===

find_package(Qt4 REQUIRED QtCore QtSvg QtGui QtOpengl QtDesigner QtNetwork QtSql)
include_directories(${QT_INCLUDE_DIR})
include_directories(${QT_QTCORE_INCLUDE_DIR})
include_directories(${QT_QTGUI_INCLUDE_DIR})
include_directories(${QT_QTSVG_INCLUDE_DIR})
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Make ui files from the designer to header files
set(UIS 
    mapwidget/mapripform.ui)

QT4_WRAP_UI(SOURCES_UIS_H ${UIS})

FILE(GLOB COLLECTION_MOC_HDRS 
    core/*.h
    internals/*.h 
    internals/projections/*.h
    plugin/*.h
    mapwidget/*.h)

FILE(GLOB COLLECTION_HDRS 
    core/*.h
    internals/*.h 
    internals/projections/*.h
    plugin/*.h
    mapwidget/*.h)

FILE(GLOB COLLECTION_SOURCES 
    core/*.cpp 
    internals/*.cpp 
    plugin/*.cpp
    internals/projections/*.cpp 
    mapwidget/*.cpp)

SET(QtApp_RCCS mapwidget/mapresources.qrc)
QT4_ADD_RESOURCES(QtApp_RCC_SRCS ${QtApp_RCCS})

rock_vizkit_widget(map2d_widget
  SOURCES ${COLLECTION_SOURCES} ${QtApp_RCC_SRCS} ${SOURCES_UIS_H}
    HEADERS ${COLLECTION_HDRS}
    MOC ${COLLECTION_MOC_HDRS}
    DEPS_PKGCONFIG QtNetwork QtSql QtCore QtGui
    LIBS ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTSVG_LIBRARY} ${QT_QTOPENGL_LIBRARY} ${QT_QTDESIGNER_LIBRARY}
    )

=== debian/changelog ===
rock-master-19.06-gui-map2d (0.20130831-1~stretch) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-gui/gui-map2d.git
  * branch: refs/heads/master
  * commit: 7133310b939bd8c79113c9413d6fab3aaca9517d
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Mon, 08 Jul 2019 16:33:42 +0200

=== debian/control ===
Source: rock-master-19.06-gui-map2d
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, build-essential, cmake, libqt4-dev, libqt4-opengl-dev, libqt4-sql-sqlite, qt4-qmake, rock-master-19.06-base-cmake, rock-master-19.06-base-types
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-gui-map2d
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-base-cmake, rock-master-19.06-base-types, cmake, build-essential, libqt4-dev, qt4-qmake, libqt4-opengl-dev, libqt4-sql-sqlite
Description: qt widget for displaying 2d maps
 Widget for displaying google maps, terrains, open street maps etc.
  and the GPS position of the vehicle as overlay. All data can be
  cached and used offline. This widget is based on OpenPilot/GCS
